<template>
  <div>
    <img v-bind:src="imgLink" width="289.59" height="71" class="mobile-logo d-none d-lg-block"
         alt="Publications Office of the European Union"/>
    <img v-bind:src="imgLinkMobile" width="289.59" height="71" class="mobile-logo d-lg-none"
         alt="Publications Office of the European Union"/>
  </div>
</template>

<script>
export default {
  name: 'OpIcon',
  props: {
    useLanguageSelector: {
      type: Boolean,
      default: true
    },
    locale: {
      type: String,
      default: "en"
    },

  },
  computed: {
    imgLink() {
      return this.changeLogo();
    },
    imgLinkMobile() {
      return this.changeLogo();
    }
  },
  methods: {
    changeLogo() {
      if (this.locale === "bg") {
        return "/src/assets/icon/op-icons/logo-op-bg.png";
      }
      if (this.locale === "cs") {
        return "/src/assets/icon/op-icons/logo-op-cs.png";
      }
      if (this.locale === "da") {
        return "/src/assets/icon/op-icons/logo-op-da.png";
      }
      if (this.locale === "de") {
        return "/src/assets/icon/op-icons/logo-op-de.png";
      }
      if (this.locale === "el") {
        return "/src/assets/icon/op-icons/logo-op-el.png";
      }
      if (this.locale === "en") {
        return "/src/assets/icon/op-icons/logo-op-en.png";
      }
      if (this.locale === "es") {
        return "/src/assets/icon/op-icons/logo-op-es.png";
      }
      if (this.locale === "fi") {
        return "/src/assets/icon/op-icons/logo-op-fi.png";
      }
      if (this.locale === "fr") {
        return "/src/assets/icon/op-icons/logo-op-fr.png";
      }
      if (this.locale === "ga") {
        return "/src/assets/icon/op-icons/logo-op-ga.png";
      }
      if (this.locale === "hr") {
        return "/src/assets/icon/op-icons/logo-op-hr.png";
      }
      if (this.locale === "hu") {
        return "/src/assets/icon/op-icons/logo-op-hu.png";
      }
      if (this.locale === "it") {
        return "/src/assets/icon/op-icons/logo-op-it.png";
      }
      if (this.locale === "lv") {
        return "/src/assets/icon/op-icons/logo-op-lv.png";
      }
      if (this.locale === "mt") {
        return "/src/assets/icon/op-icons/logo-op-mt.png";
      }
      if (this.locale === "nl") {
        return "/src/assets/icon/op-icons/logo-op-nl.png";
      }
      if (this.locale === "pl") {
        return "/src/assets/icon/op-icons/logo-op-pl.png";
      }
      if (this.locale === "pt") {
        return "/src/assets/icon/op-icons/logo-op-pt.png";
      }
      if (this.locale === "ro") {
        return "/src/assets/icon/op-icons/logo-op-ro.png";
      }
      if (this.locale === "sk") {
        return "/src/assets/icon/op-icons/logo-op-sk.png";
      }
      if (this.locale === "sl") {
        return "/src/assets/icon/op-icons/logo-op-sl.png";
      }
      if (this.locale === "sv") {
        return "/src/assets/icon/op-icons/logo-op-sv.png";
      }
      if (this.locale === "et") {
        return "/src/assets/icon/op-icons/logo-op-et.png";
      }
      if (this.locale === "lt") {
        return "/src/assets/icon/op-icons/logo-op-lt.png";
      } else {
        return "/src/assets/icon/op-icons/logo-op-en.png";
      }
    },
  },
};
</script>

